using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class WeatherShortTermNowValue {
        [Column(TypeName = "datetime")]
        public DateTime? BaseTime { get; set; }
        [Column("nx")]
        public int? Nx { get; set; }
        [Column("ny")]
        public int? Ny { get; set; }
        [Column("T1H"), Display(Name = "기온")]
        public double? T1h { get; set; }
        [Column("RN1"), Display(Name = "1시간 강수량")]
        public double? Rn1 { get; set; }
        [Column("SKY"), Display(Name = "하늘상태")]
        public double? Sky { get; set; }
        [Column("UUU"), Display(Name = "동서바람성분")]
        public double? Uuu { get; set; }
        [Column("VVV"), Display(Name = "남북바람성분")]
        public double? Vvv { get; set; }
        [Column("REH"), Display(Name = "습도")]
        public double? Reh { get; set; }
        [Column("PTY"), Display(Name = "강수형태")]
        public double? Pty { get; set; }
        [Column("LGT"), Display(Name = "낙뢰")]
        public double? Lgt { get; set; }
        [Column("VEC"), Display(Name = "풍향")]
        public double? Vec { get; set; }
        [Column("WSD"), Display(Name = "풍속")]
        public double? Wsd { get; set; }
        [StringLength(4)]
        public string Type { get; set; }
        [Column("DBTime", TypeName = "datetime")]
        public DateTime? Dbtime { get; set; }
        public int? Version { get; set; }
    }
}
